<?php
namespace App\Galileo\StructureParser\Structures\NDCEMD;

class Relations extends \App\Galileo\StructureParser\Structures\Base\Base
{
	protected function _getData()
	{
		list($parsedStructure, , $transactionIndexes, ) = $this->getTransactionDetails();

		$item = new \App\Galileo\StructureParser\Types\Relations();

		foreach ($parsedStructure['A14_NDC']['TicketNumbers'] as $ks => $NDC_TKT) {
			$relation = new \App\Galileo\StructureParser\Types\Relation();
			$relation->docNumber = 		substr($NDC_TKT['TicketNumbers']['ticketNumber'], -10);
			$relation->relationType = 	'reference';

			$item->appendRelation($relation);
		}

		return $item;
	}

}
